## ------------------------------------------------------------------------
qt(0.975, df = 38)

## ------------------------------------------------------------------------
## Zufallszahlen zur Demonstration
X1 <- rnorm(n = 20, mean = 0.5, sd = 1)
X2 <- rnorm(n = 20, mean = 1.5, sd = 1)

## ------------------------------------------------------------------------
t.test(X1, X2, var.equal = TRUE)$statistic

## ------------------------------------------------------------------------
t.test(X1, X2, var.equal = TRUE)$p.value

## ------------------------------------------------------------------------
t.test(X1, X2, var.equal = TRUE)

## ------------------------------------------------------------------------
t.test(ITSDaten$Temperatur[-398], mu = 37.5, alternative = "greater")

## ------------------------------------------------------------------------
t.test(ITSDaten$Temperatur, mu = 37.5, alternative = "greater")

## ------------------------------------------------------------------------
## Frauen
sd(ITSDaten$Temperatur[ITSDaten$Geschlecht == "weiblich"])
## Männer
sd(ITSDaten$Temperatur[ITSDaten$Geschlecht == "männlich"])

## ------------------------------------------------------------------------
## Männer ohne Patient 398
sd(ITSDaten$Temperatur[-398][ITSDaten$Geschlecht[-398] == "männlich"])

## ------------------------------------------------------------------------
## mit Patient 398
t.test(Temperatur ~ Geschlecht, data = ITSDaten)
## ohne Patient 398
t.test(Temperatur ~ Geschlecht, data = ITSDaten[-398,])

## ------------------------------------------------------------------------
## mit Patient 398
wilcox.test(ITSDaten$Temperatur, mu = 37.5, alternative = "greater",
            conf.int = TRUE)
## ohne Patient 398
wilcox.test(ITSDaten$Temperatur[-398], mu = 37.5, alternative = "greater",
            conf.int = TRUE)

## ------------------------------------------------------------------------
## mit Patient 398
wilcox.test(Temperatur ~ Geschlecht, data = ITSDaten, conf.int = TRUE)
## ohne Patient 398
wilcox.test(Temperatur ~ Geschlecht, data = ITSDaten[-398,],
            conf.int = TRUE)

## ------------------------------------------------------------------------
## mit Patient 398
var.test(Temperatur ~ Geschlecht, data = ITSDaten)
## ohne Patient 398
var.test(Temperatur ~ Geschlecht, data = ITSDaten[-398,])

## ------------------------------------------------------------------------
## mit Patient 398
ansari.test(Temperatur ~ Geschlecht, data = ITSDaten)
## ohne Patient 398
ansari.test(Temperatur ~ Geschlecht, data = ITSDaten[-398,])

## ------------------------------------------------------------------------
## exakter Test
binom.test(20, 500, p = 0.05, alternative = "less")
## asymptotischer Test
prop.test(20, 500, p = 0.05, alternative = "less")

## ------------------------------------------------------------------------
## 2x2 Kontingenztafel
kont.tafel <- table(ITSDaten$Leberversagen, ITSDaten$Geschlecht)
kont.tafel
## exakter Test von Fisher
fisher.test(kont.tafel)
## chi^2-Test
chisq.test(kont.tafel)

## ------------------------------------------------------------------------
## Pearson ohne Patient 398
cor.test(ITSDaten$Temperatur[-398], ITSDaten$Herzfrequenz[-398])
## Spearman
cor.test(ITSDaten$Temperatur, ITSDaten$Herzfrequenz, method = "spearman")
## Kendall
cor.test(ITSDaten$Temperatur, ITSDaten$Herzfrequenz, method = "kendall")

## ------------------------------------------------------------------------
## mit Patient 398, klassisch
oneway.test(Temperatur ~ Ergebnis, data = ITSDaten, var.equal = TRUE)
## mit Patient 398, Welch
oneway.test(Temperatur ~ Ergebnis, data = ITSDaten)
## ohne Patient 398, klassisch
oneway.test(Temperatur ~ Ergebnis, data = ITSDaten[-398,], var.equal = TRUE)
## ohne Patient 398, Welch
oneway.test(Temperatur ~ Ergebnis, data = ITSDaten[-398,])

## ------------------------------------------------------------------------
## mit Patient 398
kruskal.test(Temperatur ~ Ergebnis, data = ITSDaten)
## ohne Patient 398
kruskal.test(Temperatur ~ Ergebnis, data = ITSDaten[-398,])

## ------------------------------------------------------------------------
## paarweise Welch t-Tests ohne Patient 398
pairwise.t.test(ITSDaten$Temperatur[-398], ITSDaten$Ergebnis[-398],
                pool.sd = FALSE)
## paarweise Wilcoxon-Mann-Whitney U-Tests
pairwise.wilcox.test(ITSDaten$Temperatur, ITSDaten$Ergebnis)

## ------------------------------------------------------------------------
ggplot(data=ITSDaten[-398,], aes(x=Ergebnis, y=Temperatur, fill=Ergebnis)) +
  geom_boxplot() +
  stat_summary(fun.y=mean, colour="darkred", geom="point", shape=8, size = 3) +
  ggtitle("Maximale Körpertemperatur in Abhängigkeit vom Ergebnis")

## ------------------------------------------------------------------------
library(DescTools)
## Shapiro-Wilk Test
shapiro.test(ITSDaten$Temperatur[-398])
## Lilliefors (Kolmogorov-Smirnov) Test
LillieTest(ITSDaten$Temperatur[-398])
## Cramer-von Mises Test
CramerVonMisesTest(ITSDaten$Temperatur[-398])
## Shapiro-Francia Test
ShapiroFranciaTest(ITSDaten$Temperatur[-398])

