## ------------------------------------------------------------------------
## a) Genau eine defekte Glühbirne
dbinom(1, size = 20, prob = 0.01)
## b) Keine Person mit Diabetes
dbinom(0, size = 50, prob = 0.09)
## b) Genau eine Person mit Diabetes
dbinom(1, size = 50, prob = 0.09)

## ------------------------------------------------------------------------
## b) Mindestens zwei Personen mit Diabetes: 1-P(X<=1)
1 - pbinom(1, size = 50, prob = 0.09)

## ------------------------------------------------------------------------
## b) Mindestens zwei Personen mit Diabetes: P(X>1)
pbinom(1, size = 50, prob = 0.09, lower.tail = FALSE)

## ------------------------------------------------------------------------
qbinom(0.99, size = 20, prob = 0.01)

## ------------------------------------------------------------------------
rbinom(10, size = 50, prob = 0.09)

## ------------------------------------------------------------------------
install.packages("distr")

## ------------------------------------------------------------------------
library(distr)
X <- Binom(size = 20, prob = 0.01)

## ------------------------------------------------------------------------
plot(X)

## ------------------------------------------------------------------------
## a) keine defekte Glühbirne
dhyper(0, m = 5, n = 495, k = 20)
## b) keine Person mit Diabetes
dhyper(0, m=6000, n=60000, k = 50)

## ------------------------------------------------------------------------
## b) mind. eine Person mit Diabetes
phyper(0, m=6000, n=60000, k=50, lower.tail = FALSE)

## ------------------------------------------------------------------------
rhyper(10, m=6000, n=60000, k=50)

## ------------------------------------------------------------------------
X <- Hyper(m=5, n=495, k=20)
plot(X)

## ------------------------------------------------------------------------
## Wahrscheinlichkeit für 0, 1, 2, 3 defekte Glühbirnen
## mit Zurücklegen
dbinom(0:3, size=20, prob=0.01)
## ohne Zurücklegen
dhyper(0:3, m=5, n=495, k=20)

## ------------------------------------------------------------------------
0:3
8:11
-3:5

## ------------------------------------------------------------------------
## a) 20. Glühbirne = 1. defekte Glühbirne
dnbinom(19, size = 1, prob = 0.01)
## b) Max. 250 Personen für 20 Personen mit Diabetes
pnbinom(230, size = 20, prob = 0.09)

## ------------------------------------------------------------------------
qnbinom(0.95, size = 20, prob = 0.09)

## ------------------------------------------------------------------------
rnbinom(10, size = 20, prob = 0.09)

## ------------------------------------------------------------------------
X <- Nbinom(size = 1, prob = 0.01)
plot(X, cex.points = 0.75)

## ------------------------------------------------------------------------
## a) Keine defekte Glühbirne
dpois(0, lambda = 1.4)

## ------------------------------------------------------------------------
## a) Mind. eine defekte Glühbirne
ppois(0, lambda = 1.4, lower.tail = FALSE)
## b) Mind. 450 Neuerkrankungen
ppois(450, lambda = 495, lower.tail = FALSE)

## ------------------------------------------------------------------------
qpois(0.99, lambda = 1.4)

## ------------------------------------------------------------------------
rpois(10, lambda = 495)

## ------------------------------------------------------------------------
X <- Pois(lambda = 1.4)
plot(X)

## ------------------------------------------------------------------------
curve(expr = dnorm(x, mean = 167, sd = 6.0), from = 140, to = 210, n = 501,
      col = "#E41A1C", xlab = "Körpergröße in cm", ylab = "Dichte",
      main = "Körpergröße deutscher Männer und Frauen")
curve(expr = dnorm(x, mean = 180, sd = 6.5), from = 140, to = 210, n = 501,
      add = TRUE, col = "#377EB8")
legend("topleft", legend = c("Frauen", "Männer"), fill = c("#E41A1C", "#377EB8"))

## ------------------------------------------------------------------------
pnorm(175, mean = 167, sd = 6.0, lower.tail = FALSE)

## ------------------------------------------------------------------------
qnorm(0.95, mean = 180, sd = 6.5)

## ------------------------------------------------------------------------
X <- Norm(mean = 100, sd = 15)
plot(X)

## ------------------------------------------------------------------------
X <- Lnorm(meanlog = 0.063, sdlog = 0.7)
plot(X)

## ------------------------------------------------------------------------
X <- Exp(rate = 0.13863)
plot(X)

## ------------------------------------------------------------------------
pexp(1, rate = 0.13863)

## ------------------------------------------------------------------------
qexp(0.95, rate = 0.13863)

## ------------------------------------------------------------------------
curve(dgamma(x, scale = 5, shape = 1.8), from = 0, to = 30, n = 501,
      xlab = "Aufenthaltsdauer in Tagen", ylab = "Dichte",
      main = "Eine ausgewählte DRG")

## ------------------------------------------------------------------------
pgamma(10, scale = 5, shape = 1.8, lower.tail = FALSE)

## ------------------------------------------------------------------------
qgamma(0.99, scale = 5, shape = 1.8)

## ------------------------------------------------------------------------
curve(dweibull(x, scale = 1/0.13863, shape = 1.2), from = 0, to = 30, n = 501,
      xlab = "Lebensdauer in Jahren", ylab = "Dichte",
      main = "Lebensdauer eines Smartphone-Akkus inkl. Alterung")

## ------------------------------------------------------------------------
pweibull(1, scale = 1/0.13863, shape = 1.2)

## ------------------------------------------------------------------------
qweibull(0.95, scale = 1/0.13863, shape = 1.2)

## ------------------------------------------------------------------------
X <- Weibull(scale = 5.5, shape = 2)
plot(X)

## ------------------------------------------------------------------------
qweibull(0.5, scale = 5.5, shape = 2)

## ------------------------------------------------------------------------
pweibull(11, scale = 5.5, shape = 2, lower.tail = FALSE)
